library(mvtnorm)
library(ks)
set.seed(12369)
x =rbind(rmvnorm(n=50, mean=c(1,1), sigma=matrix(c(1,0.3,0.3,1), ncol=2), method="chol"),
         rmvnorm(n=50, mean=c(4,4), sigma=matrix(c(1,-0.3,-0.3,1), ncol=2), method="chol"));plot(x)

H=Hpi(x=x);


## use default grid to simulate points
fhat <- kde(x=x, H=H);
plot(fhat, display="filled.contour2"); points(x, cex=0.5, pch=16)
str(sum(fhat$estimate))

# ## use default expand.grid ##ERROR
# eval.points = NULL;
# eval.points[[1]] = 0:150*(max(x[,1])-min(x[,1]))/151 + min(x[,1])
# eval.points[[2]] = 0:150*(max(x[,2])-min(x[,2]))/151 + min(x[,2])
# fhat <- kde(x=x, H=H, eval.points=expand.grid(eval.points));
# plot(fhat, display="filled.contour2"); points(x, cex=0.5, pch=16)
# str(sum(fhat$estimate))

## use min/max grid to simulate points
fhat <- kde(x=x, H=H, xmin=apply(x,2,min), xmax=apply(x,2,max))
plot(fhat, display="filled.contour2"); points(x, cex=0.5, pch=16)
str(sum(fhat$estimate))

